package com.sf.system.deployment.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.sf.common.annotation.Excel;
import com.sf.common.core.domain.BaseEntity;

/**
 * 环境维护对象 DEPLOYMENT_APPLY_ENVIRONMENT
 * 
 * @author ztzh
 * @date 2024-04-19
 */
public class DeploymentApplyEnvironment extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 应用id */
    private Long appId;

    /** 应用编号 */
    private String appCode;

    /** 环境名称 */
    @Excel(name = "环境名称")
    private String name;

    /** 服务器地址 */
    @Excel(name = "服务器地址")
    private String serverAddress;

    /** 逻辑删除标识
0:未删除
1:已删除 */
    private Long isDelete;

    /** 创建部门 */
    private Long createDept;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAppId(Long appId) 
    {
        this.appId = appId;
    }

    public Long getAppId() 
    {
        return appId;
    }
    public void setAppCode(String appCode)
    {
        this.appCode = appCode;
    }

    public String getAppCode()
    {
        return appCode;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setServerAddress(String serverAddress) 
    {
        this.serverAddress = serverAddress;
    }

    public String getServerAddress() 
    {
        return serverAddress;
    }
    public void setIsDelete(Long isDelete) 
    {
        this.isDelete = isDelete;
    }

    public Long getIsDelete() 
    {
        return isDelete;
    }
    public void setCreateDept(Long createDept) 
    {
        this.createDept = createDept;
    }

    public Long getCreateDept() 
    {
        return createDept;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("appId", getAppId())
            .append("applyCode", getAppCode())
            .append("name", getName())
            .append("serverAddress", getServerAddress())
            .append("remark", getRemark())
            .append("isDelete", getIsDelete())
            .append("createDept", getCreateDept())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
